Skip to main content
POST
/
v2
/
invoices
/
{id}
/
refunds
Refund Invoice
curl --request POST \
  --url https://api.paygentic.io/v2/invoices/{id}/refunds \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string>"
}
'
import requests

url = "https://api.paygentic.io/v2/invoices/{id}/refunds"

payload = { "reason": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({reason: '<string>'})
};

fetch('https://api.paygentic.io/v2/invoices/{id}/refunds', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "invoice_refund",
  "id": "<string>",
  "invoiceId": "<string>",
  "merchantId": "<string>",
  "amount": "<string>",
  "taxAmount": "<string>",
  "total": "<string>",
  "currency": "<string>",
  "externalCreditNoteId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "permalink": "<string>",
  "pdfUrl": "<string>",
  "reason": "<string>",
  "voidedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The invoice ID

Body

application/json
reason
string

Optional reason for the refund (recorded on the credit note)

Response

Credit note created

object
enum<string>
required

The object type

Available options:
invoice_refund
id
string
required

The credit note ID (crn_*)

invoiceId
string
required

The invoice this refund credits

merchantId
string
required

The merchant that owns the invoice

amount
string
required

Refunded subtotal (pre-tax) in decimal dollars

taxAmount
string
required

Reversed tax in decimal dollars

total
string
required

Total refunded (amount + taxAmount) in decimal dollars

currency
string
required

ISO 4217 currency code

status
enum<string>
required

Credit note status

Available options:
ISSUED,
VOIDED
externalCreditNoteId
string
required

Credit note id in the tax provider

createdAt
string<date-time>
required

When the refund was issued

Public URL to view the credit note document

pdfUrl
string | null

Direct PDF download link

reason
string | null

Optional refund reason

voidedAt
string<date-time> | null

When the refund was voided, if applicable